Jifty::View::Declare::Page(3)

NAME
Jifty::View::Declare::Page - page wrappers

DESCRIPTION
This library provides page wrappers

METHODS

  new
Sets up a new page class

  render
Renders everything. This main driver of page rendering and called right after constructing page object.

  render_header $title
Renders an HTML5 "doctype", <head> and the first part of a page body. This bit isn't terribly well thought out and we're not happy with it.

  render_body $body_code
Renders $body_code inside a body tag

  render_page
Renders the skeleton of the page

  mk_title_handler
Returns a coderef that will make headers for each thing passed to it

  render_title
Renders the in-page title

  render_footer
Renders the page footer and prepends the header to the Template::Declare buffer.

  render_pre_content_hook
Renders the AdminMode alert (if AdminMode is on)

  render_jifty_page_detritus
Renders the keybinding and PubSub javascript as well as the wait message